Subject: Re: bug#21391: 24.5; `thing-at-point' should return a string

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Aug 2020 20:32:21 +0200

Eli Zaretskii <[email-masked]> writes:

> IOW, thing-at-point no longer has any known bugs, and we are talking
> about forcibly breaking a use case that does no harm to us, and can
> only happen if someone abuses the 'thing-at-point' property, which
> would make it that someone's bug/misfeature, for them to fix.
>
> So why would we want to make such a change?  What am I missing?

I semi-skimmed this thread, and I think the conclusion here was that 1)
the thingatpt library has functions with non-optimal semantics (I
agree), and 2) changing the return value of thing-at-point in the manner
proposed would likely break stuff.

So it doesn't seem likely that there'll be any further progress in this
bug report, and I'm closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no